image: atlassian/default-image:2
pipelines:
  branches:
   pre-master:
    - step:
       name: Deploy Atomo to QA Server
       deployment: atomo
       script:
         - pipe: atlassian/ssh-run:0.2.2
           variables:
             SSH_USER: 'emre'
             SERVER: '62.210.211.135 -A'
             COMMAND: './deployAtomo.sh'
             PORT: 5024
    - step:
       name: Deploy Aggregator to QA Server
       deployment: aggregator
       script:
         - pipe: atlassian/ssh-run:0.2.2
           variables:
             SSH_USER: 'emre'
             SERVER: '62.210.211.135 -A'
             COMMAND: './deployAggregator.sh'
             PORT: 5024